## view.xhtml
Class Input

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.EmptyElement
                  view.xhtml.Input

Direct Known Subclasses:
  ButtonInput, CheckboxInput, PasswordInput, SubmitInput, TextInput

    public class Input

extends EmptyElement

Nested Class Summary
`static class` `Input.InputType` An enumeration for all valid values of the type attribute.

Constructor Summary
`Input(Input.InputType type, java.lang.String name)` Constructs the element.
`Input(Input.InputType type, java.lang.String name, java.lang.String value)` As above, but with 'value' parameter.

Method Summary
`private static java.lang.String` `getTypeText(Input.InputType type)` Constructs an input element of the specfied type.

Methods inherited from class view.xhtml.EmptyElement
`getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Input

    public Input(Input.InputType type,
                 java.lang.String name)

  Constructs the element.

  Parameters:
    `type` - the type of the element.
    `name` - a value for the 'name' attribute.

### Input

    public Input(Input.InputType type,
                 java.lang.String name,
                 java.lang.String value)

  As above, but with 'value' parameter.

  Parameters:
    `value` - a value for the 'value' parameter.

Method Detail

### getTypeText

    private static java.lang.String getTypeText(Input.InputType type)

  Constructs an input element of the specfied type.